Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler:

## Public Member Functions
| __construct (Gateway $gateway, Mapper $mapper)
| setUserPreference (UserPreferenceSetStruct $setStruct)
| {} More...
| getUserPreferenceByUserIdAndName (int $userId, string $name)
| {} More...
| countUserPreferences (int $userId)
| {} More...
| loadUserPreferences (int $userId, int $offset, int $limit)
| {} More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Bookmark\Handler
| create (CreateStruct $createStruct)
| Create a new bookmark. More...
| delete (int $bookmarkId)
| Delete a bookmark. More...
| loadByUserIdAndLocationId (int $userId, array $locationIds)
| Get bookmark by user id and location id. More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
| Loads bookmarks owned by user. More...
| countUserBookmarks (int $userId)
| Count bookmarks owned by user. More...
| locationSwapped (int $location1Id, int $location2Id)
| Notifies the underlying engine that a location was swapped. More...

## Protected Attributes
| $gateway
| $mapper

## Detailed Description

Definition at line 16 of file Core/Persistence/Legacy/UserPreference/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::__construct | ( | Gateway | $gateway,
|  | Mapper | $mapper
| ) |  |

Parameters

  \eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway | $gateway |
  \eZ\Publish\Core\Persistence\Legacy\UserPreference\Mapper | $mapper |

Definition at line 28 of file Core/Persistence/Legacy/UserPreference/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\$gateway, and eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\$mapper.

## Member Function Documentation

## ◆ countUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::countUserPreferences | ( | int | $userId | ) |

{}

Definition at line 67 of file Core/Persistence/Legacy/UserPreference/Handler.php.

## ◆ getUserPreferenceByUserIdAndName()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::getUserPreferenceByUserIdAndName | ( | int | $userId,
|  | string | $name
| ) |  |

{}

Exceptions

Definition at line 51 of file Core/Persistence/Legacy/UserPreference/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\setUserPreference().

## ◆ loadUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::loadUserPreferences | ( | int | $userId,
|  | int | $offset,
|  | int | $limit
| ) |  |

{}

Definition at line 75 of file Core/Persistence/Legacy/UserPreference/Handler.php.

## ◆ setUserPreference()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::setUserPreference | ( | UserPreferenceSetStruct | $setStruct | ) |

{}

Exceptions

Definition at line 39 of file Core/Persistence/Legacy/UserPreference/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\getUserPreferenceByUserIdAndName().

## Member Data Documentation

## ◆ $gateway

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::$gateway
| protected

Definition at line 19 of file Core/Persistence/Legacy/UserPreference/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\__construct().

## ◆ $mapper

eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler::$mapper
| protected

Definition at line 22 of file Core/Persistence/Legacy/UserPreference/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\UserPreference\Handler\__construct().

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/UserPreference/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.